#ifndef XMODELHIGHMIPBOUNDS_H
#define XMODELHIGHMIPBOUNDS_H

#include "xasset.h"

#include <QVector3D>

class XModelHighMipBounds : public XAsset
{
public:
    XModelHighMipBounds();
    ~XModelHighMipBounds();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mMins;
    QVector3D mMaxs;
};

#endif // XMODELHIGHMIPBOUNDS_H
